import { BindingProperties, OptionValue, ComponentDescriptor, AttributesMap, BaseUIComponent } from '@ngx-dynamic-components/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SelectComponent extends BaseUIComponent<SelectProperties> {
    searchText$: Subject<string>;
    loading: boolean;
    onSelect(evt: any): void;
    private get debounceTime();
    ngOnInit(): Promise<void>;
    emitEvent(prop: string, param?: any): void;
    get selectStyles(): AttributesMap;
    get options(): OptionValue[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "dc-select", never, {}, {}, never, never>;
}
export declare class SelectProperties extends BindingProperties {
    itemsSource: string | OptionValue[];
    selectHeight?: string;
    placeholder?: string;
    bindLabel?: string;
    bindValue?: string;
    multiple: boolean;
    add?: string;
    blur?: string;
    change?: string;
    debounceTime?: string;
    typeahead?: string;
    close?: string;
    clear?: string;
    focus?: string;
    search?: string;
    open?: string;
    remove?: string;
    scroll?: string;
    scrollToEnd?: string;
}
declare type SelectComponentConstrutor = new () => SelectComponent;
declare type SelectPropertiesConstrutor = new () => SelectProperties;
export declare const selectDescriptor: ComponentDescriptor<SelectComponentConstrutor, SelectPropertiesConstrutor>;
export {};
